class ErrorsController < ApplicationController
  def not_found
    render :status => 404,
           locals: {
             rec_no: params[:id]
           }
  end

  def forbidden
    render(:status => 403)
  end

  def internal_server_error
    render :status => 500,
           locals: {
             error_txt: $!
           }
  end
end
