#!/bin/sh

# set RAILS_ENV:
source /etc/spdb/rails_env

# We want to filter out this innocuous "error":
ignore='Running .gem pristine --all. to regenerate'

temp_stderr=`mktemp`

cd /usr/share/spdb
bin/rails runner -e $RAILS_ENV lib/download_incommon_metadata.rb 2>> $temp_stderr

# Send $temp_stderr to stderr filtering out any ignores.
grep -v "$ignore" $temp_stderr 1>&2
unlink $temp_stderr
