require 'open3'

Awsaccount.save_awsaccounts_auto_file()


exit(0)

local_basepath = Rails.configuration.awsaccounts_git_local_path
local_name     = Rails.configuration.awsaccounts_git_local_name
file_name      = 'attribute-resolver-amazon-auto.xml'

git_dir   = File.join(local_basepath, local_name)
full_path = File.join(local_basepath, local_name, file_name)

# Step 1. Write the file to the git repository.
Awsaccount.write_awsaccounts_file(file_path = full_path)

# Step 2. Does anything need to be committed?
cmd = "git -C #{git_dir} diff --exit-code && git -C #{git_dir} diff --cached --exit-code "
stdout, stderr, status = Open3.capture3(cmd)

if (status.exitstatus == 0) then
  # Nothing needs to be commited, so we can exit now.
  exit(0)
end

# Step 3. Commit the write
cmd = "git -C #{git_dir} add #{file_name}"
stdout, stderr, status = Open3.capture3(cmd)

if (not stderr.empty?()) then
  raise stderr
end


ENV['GIT_AUTHOR_NAME']  = 'auto-commit'
ENV['GIT_AUTHOR_EMAIL'] = 'root@localhost'
cmd = "git -C #{git_dir} commit -m 'auto-commit via export_awsaccountmappings.rb'"
stdout, stderr, status = Open3.capture3(cmd)
# raise "status is #{status.exitstatus}"

if (status.exitstatus != 0) then
  raise "error committing; exit code: #{status.exitstatus}; stderr: '#{stderr}'"
end

# Step 3. Push.
ssh_private_key_path = Rails.configuration.ssh_private_key_path
cmd = "git -C #{git_dir} push origin master"
stdout, stderr, status = Utility.run_command_ssh_agent(cmd, ssh_private_key_path)

if (status.exitstatus > 1) then
  raise "error pushing; exit code: #{status.exitstatus}; stderr: '#{stderr}'"
end





